<?php
/**
 * @package RSPageBuilder!
 * @copyright (C) 2016-2022 www.rsjoomla.com
 * @license GPL, http://www.gnu.org/licenses/gpl-3.0.html
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

use Joomla\CMS\Version;
use Joomla\CMS\Factory;

class plgRsfinderRspagebuilderInstallerScript
{

	protected static $minJoomla = '4.0.0';
	/**
	 * @param $type
	 * @param $parent
	 *
	 * @return bool
	 */
	public function preflight($type, $parent) {
		if ($type == 'uninstall') {
			return true;
		}
		try {
			$jversion = new Version();

			if (!$jversion->isCompatible(static::$minJoomla))
			{
				throw new Exception('Please upgrade to at least Joomla! ' . static::$minJoomla . ' before continuing!');
			}
			
			if (!file_exists(JPATH_ADMINISTRATOR.'/components/com_rspagebuilder/helpers/rspagebuilder.php')) {
				throw new Exception('Please install RSPageBuilder! first before you attempt to install this plugin.');
				
			}

		} catch (Exception $e) {
			Factory::getApplication()->enqueueMessage($e->getMessage(), 'error');
			return false;
		}

		return true;
	}
}